Skip to main content
GET
/
webhooks
/
{id}
/
deliveries
List webhook deliveries
curl --request GET \
  --url https://app.strix.ai/api/v1/webhooks/{id}/deliveries \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "id": "<string>",
      "subscription_id": "<string>",
      "event_type": "<string>",
      "status": "pending",
      "attempts": 123,
      "response_status": 123,
      "last_error": "<string>",
      "sent_at": "2023-11-07T05:31:56Z",
      "created_at": "2023-11-07T05:31:56Z"
    }
  ],
  "meta": {
    "page": 123,
    "limit": 123,
    "total_items": 123,
    "total_pages": 123,
    "has_next": true,
    "has_prev": true
  }
}

Authorizations

Authorization
string
header
required

API token from Settings > API Access

Path Parameters

id
string
required

Query Parameters

page
integer
default:1
limit
integer
default:25

Response

200 - application/json

Paginated list of deliveries

items
object[]
meta
object